Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class SerializationTest

    java.lang.Object
      com.singularsys.jeptests.SerializationTest

    public class SerializationTest

extends java.lang.Object

Constructor Summary
`SerializationTest()`

Method Summary
`void` | `testConstantsLW()`
`void` | `testConstantsSerialised()`
`void` | `testExpr()` Test simple serialization
`void` | `testImport()` Test passing serialized objects between two jep instances
`void` | `testJepConfigParser()`
`void` | `testJepStdParser()`
`void` | `testRead()`
`void` | `testSerializableExpression()` Test passing serialized objects between two jep instances
`void` | `testSizes()`
`void` | `testStringRep()`
`void` | `testVariableTable()`
`void` | `testWrite()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializationTest

    public SerializationTest()

Method Detail

### testExpr

    public void testExpr()
                  throws java.lang.Exception

  Test simple serialization

  Throws:
    `java.lang.Exception`

### testStringRep

    public void testStringRep()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSerializableExpression

    public void testSerializableExpression()
                                    throws java.lang.Exception

  Test passing serialized objects between two jep instances

  Throws:
    `java.lang.Exception`

### testImport

    public void testImport()
                    throws java.lang.Exception

  Test passing serialized objects between two jep instances

  Throws:
    `java.lang.Exception`

### testVariableTable

    public void testVariableTable()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJepStdParser

    public void testJepStdParser()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJepConfigParser

    public void testJepConfigParser()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSizes

    public void testSizes()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWrite

    public void testWrite()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRead

    public void testRead()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testConstantsLW

    public void testConstantsLW()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testConstantsSerialised

    public void testConstantsSerialised()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep